Commet
  • Pricing
Log InTry out
Add feature to plan POSTAdd price to plan POSTCreate plan POSTDelete plan price DELETEDelete plan DELETEDelete regional prices DELETEGet plan GETList plans GETRemove feature from plan DELETESet default price PUTSet plan visibility PUTUpdate plan feature PUTUpdate plan price PUTUpdate plan PUTUpsert regional prices PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Update plan feature

Update limits, overage, or enabled status of a feature on a plan.

Set plan visibility PUT

Toggle a plan between public and private.

Update plan price PUT

Update an existing price on a plan.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

PUT
/plans/{id}/features/{featureId}

application/json

id*string
featureId*string
enabled?boolean
includedAmount?integer
Range0 <= value
unlimited?boolean
overageEnabled?boolean
overageUnitPrice?integer
Range0 <= value
creditsPerUnit?|
curl -X PUT "https://commet.co/api/v1/plans/string/features/string" \  -H "Content-Type: application/json" \  -d '{}'

Update limits, overage, or enabled status of a feature on a plan.

Plan public ID

Feature public ID

{
  "success": true,
  "data": {
    "object": "plan",
    "livemode": true,
    "planId": "string",
    "featureId": "string",
    "enabled": true,
    "includedAmount": 0,
    "unlimited": true,
    "overageEnabled"



{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
:
true
,
"overageUnitPrice": 0,
"creditsPerUnit": 0
}
}